/*var canvas = document.querySelector("#hex-canvas");
var ctx = canvas.getContext("2d");
var colors = ["#3d84a8", "#B3DDEF", "#687f98", "#0f5780"];
var bubbles = [];
var lastUpdateTime = Date.now();

function createBubbles() {
    for (var i = 0; i < 50; i++) {
        var x = Math.random() * canvas.width;
        var y = Math.random() * canvas.height;

        var bubble = new Bubble(x, y);
        bubbles.push(bubble);
    }

    setInterval(updateBubbles, 500);
}

function updateBubbles() {
    var currentTime = Date.now();
    var deltaTime = (currentTime - lastUpdateTime) / 1000;
    lastUpdateTime = currentTime;

    for (var i = 0; i < bubbles.length; i++) {
        bubbles[i].update(deltaTime * 1.5);
    }

    drawBubbles();
}

function drawBubbles() {
    ctx.clearRect(0, 0, canvas.width, canvas.height);

    for (var i = 0; i < bubbles.length; i++) {
        bubbles[i].draw();
    }
}

function Bubble(x, y) {
    this.x = x;
    this.y = y;
    this.radius = Math.random() * 45 + 5;
    this.color = colors[Math.floor(Math.random() * colors.length)];
    this.opacity = Math.random() * 0.5 + 0.25;
    this.speed = Math.random() * 5 + 5;
    this.angle = Math.random() * Math.PI * 2;
    this.scale = 1;

    this.draw = function() {
        ctx.save();
        ctx.globalAlpha = this.opacity;
        ctx.fillStyle = this.color;
        ctx.beginPath();
        drawHexagon(this.x, this.y, this.radius * this.scale);
        ctx.closePath();
        ctx.fill();
        ctx.restore();
    };

    this.update = function(deltaTime) {
        // Update the angle based on the speed and elapsed time
        this.angle += this.speed * deltaTime;

        // Update the position based on the angle and elapsed time
        var radius = canvas.width / 2;
        this.x = canvas.width / 2 + Math.cos(this.angle) * radius * this.scale;
        this.y = canvas.height / 2 + Math.sin(this.angle) * radius * this.scale;

        // Update the scale based on the distance from the center of the canvas
        var distanceFromCenter = Math.sqrt(
            Math.pow(canvas.width / 2 - this.x, 2) +
            Math.pow(canvas.height / 2 - this.y, 2)
        );
        this.scale = Math.max(0, (1 - distanceFromCenter / canvas.width) * 2);
    };
}

function drawHexagon(x, y, radius) {
    ctx.beginPath();
    for (var i = 0; i < 6; i++) {
        var angle = i * Math.PI / 3;
        var xx = x + radius * Math.cos(angle);
        var yy = y + radius * Math.sin(angle);
        ctx.lineTo(xx, yy);
    }
    ctx.closePath();
}

createBubbles();
/*var canvas = document.querySelector("#hex-canvas");
var ctx = canvas.getContext("2d");
var colors = ["#3d84a8", "#B3DDEF", "#687f98", "#0f5780"];
var bubbles = [];
var lastUpdateTime = Date.now();

function createBubbles() {
    for (var i = 0; i < 50; i++) {
        var x = Math.random() * canvas.width;
        var y = Math.random() * canvas.height;
        var bubble = new Bubble(x, y);
        bubbles.push(bubble);
    }

    setInterval(updateBubbles, 100);
}

function updateBubbles() {
    var currentTime = Date.now();
    var deltaTime = (currentTime - lastUpdateTime) / 1000;
    lastUpdateTime = currentTime;

    for (var i = 0; i < bubbles.length; i++) {
        bubbles[i].update(deltaTime * 0.5);
    }

    drawBubbles();
}

function drawBubbles() {
    ctx.clearRect(0, 0, canvas.width, canvas.height);

    for (var i = 0; i < bubbles.length; i++) {
        bubbles[i].draw();
    }
}

function Bubble(x, y) {
    this.x = x;
    this.y = y;
    this.radius = Math.random() * 25 + 5;
    this.color = colors[Math.floor(Math.random() * colors.length)];
    this.opacity = Math.random() * 0.5 + 0.25;
    this.speed = Math.random() * 20 + 20;
    this.angle = Math.random() * Math.PI * 2;
    this.scale = 1;

    this.draw = function() {
        ctx.save();
        ctx.globalAlpha = this.opacity;
        ctx.fillStyle = this.color;
        ctx.beginPath();
        drawHexagon(this.x, this.y, this.radius * this.scale);
        ctx.closePath();
        ctx.fill();
        ctx.restore();
    };

    this.update = function(deltaTime) {
        // Update the angle based on the speed and elapsed time
        this.angle += this.speed * deltaTime;

        // Update the position based on the angle and elapsed time
        this.y -= this.speed * deltaTime * Math.cos(this.angle);
        this.x += this.speed * deltaTime * Math.sin(this.angle);

        // Update the scale based on the distance from the center of the canvas
        var distanceFromCenter = Math.sqrt(
            Math.pow(canvas.width / 2 - this.x, 2) +
            Math.pow(canvas.height / 2 - this.y, 2)
        );
        this.scale = Math.max(0, (1 - distanceFromCenter / canvas.width) * 2);
    };
}

function drawHexagon(x, y, radius) {
    ctx.beginPath();
    for (var i = 0; i < 6; i++) {
        var angle = i * Math.PI / 3;
        var xx = x + radius * Math.cos(angle);
        var yy = y + radius * Math.sin(angle);
        ctx.lineTo(xx, yy);
    }
    ctx.closePath();
}

createBubbles();
*/
/*// Define the canvas and context
var canvas = document.getElementById("canvas");
var ctx = canvas.getContext("2d");

// Set the canvas dimensions to the viewport dimensions
canvas.width = window.innerWidth;
canvas.height = window.innerHeight;

function Bubble(x, y) {
    this.x = x;
    this.y = y;
    this.radius = Math.random() * 45 + 5;
    this.color = colors[Math.floor(Math.random() * colors.length)];
    this.opacity = Math.random() * 0.5 + 0.25;
    this.speed = Math.random() * 20 + 20;
    this.angle = Math.random() * Math.PI * 2;
    this.scale = 1;

    this.draw = function() {
        ctx.save();
        ctx.globalAlpha = this.opacity;
        ctx.fillStyle = this.color;
        ctx.beginPath();
        drawHexagon(this.x, this.y, this.radius * this.scale);
        ctx.closePath();
        ctx.fill();
        ctx.restore();
    };

    this.update = function(deltaTime) {
        // Update the angle based on the speed and elapsed time
        this.angle += this.speed * deltaTime;

        // Update the position based on the angle and elapsed time
        this.y -= this.speed * deltaTime * Math.cos(this.angle);
        this.x += this.speed * deltaTime * Math.sin(this.angle);

        // Update the scale based on the distance from the center of the canvas
        var distanceFromCenter = Math.sqrt(
            Math.pow(canvas.width / 2 - this.x, 2) +
            Math.pow(canvas.height / 2 - this.y, 2)
        );
        this.scale = Math.max(0, (1 - distanceFromCenter / canvas.width) * 2);
    };
}

/*
// Define the Bubble class
function Bubble(x, y) {
    this.x = x;
    this.y = y;
    this.size = Math.floor(Math.random() * (150 - 5 + 1)) + 5;
    this.opacity = Math.floor(Math.random() * (75 - 25 + 1)) + 25;
    this.color = ['#B3DDEF', '#B3DDEF', '#687f98', '#0f5780'][Math.floor(Math.random() * 4)];

    this.draw = function() {
        var h = Math.sqrt(3) / 2 * this.size;
        ctx.beginPath();
        ctx.moveTo(this.x, this.y - this.size);
        ctx.lineTo(this.x + h, this.y - this.size / 2);
        ctx.lineTo(this.x + h, this.y + this.size / 2);
        ctx.lineTo(this.x, this.y + this.size);
        ctx.lineTo(this.x - h, this.y + this.size / 2);
        ctx.lineTo(this.x - h, this.y - this.size / 2);
        ctx.closePath();
        ctx.fillStyle = "rgba(" + hexToRgb(this.color) + ", " + this.opacity / 100 + ")";
        ctx.fill();
    };

    this.update = function() {
        this.y -= this.size / 10;
        if (this.y < -this.size) {
            this.y = canvas.height + this.size;
        }
    };
}

function createBubbles() {
    // Initialize the bubbles array
    var bubbles = [];

    // Add bubbles to the array
    for (var i = 0; i < 50; i++) {
        var x = Math.random() * canvas.width;
        var y = Math.random() * canvas.height;
        bubbles.push(new Bubble(x, y));
    }

    // Draw the bubbles
    function drawBubbles() {
        ctx.clearRect(0, 0, canvas.width, canvas.height);
        for (var i = 0; i < bubbles.length; i++) {
            bubbles[i].draw();
        }
    }

    // Update the bubbles and redraw them
    function updateBubbles() {
        for (var i = 0; i < bubbles.length; i++) {
            bubbles[i].update();
        }
        drawBubbles();
        requestAnimationFrame(updateBubbles);
    }

    // Start the animation loop
    requestAnimationFrame(updateBubbles);
}

function updateBubbles() {
    var currentTime = Date.now();
    var deltaTime = (currentTime - lastUpdateTime) / 1000;
    lastUpdateTime = currentTime;

    for (var i = 0; i < bubbles.length; i++) {
        bubbles[i].update(deltaTime * 0.5);
    }

    drawBubbles();
    requestAnimationFrame(updateBubbles);
}

/*
// Define the createBubbles function
function createBubbles() {
    // Initialize the bubbles array
    var bubbles = [];

    // Add bubbles to the array
    for (var i = 0; i < 50; i++) {
        var x = Math.random() * canvas.width;
        var y = Math.random() * canvas.height;
        bubbles.push(new Bubble(x, y));
    }

    // Draw the bubbles
    function drawBubbles() {
        ctx.clearRect(0, 0, canvas.width, canvas.height);
        for (var i = 0; i < bubbles.length; i++) {
            bubbles[i].draw();
        }
    }

    // Update the bubbles and redraw them
    function updateBubbles() {
        for (var i = 0; i < bubbles.length; i++) {
            bubbles[i].update();
        }
        drawBubbles();
    }

    // Start the animation loop
    setInterval(updateBubbles, 100);
}

// Utility function to convert hex color codes to RGB color codes
function hexToRgb(hex) {
    var r = parseInt(hex.substring(1, 3), 16);
    var g = parseInt(hex.substring(3, 5), 16);
    var b = parseInt(hex.substring(5, 7), 16);
    return r + ", " + g + ", " + b;
}

// Call the createBubbles function
createBubbles();
*/
var canvas = document.getElementById("hex-canvas");
var ctx = canvas.getContext("2d");
var colors = ["#3d84a8", "#B3DDEF", "#687f98", "#0f5780"];
var bubbles = [];

function Bubble(x, y, r) {
    this.x = x;
    this.y = y;
    this.r = r;
    this.vy = Math.random() * 2 + 1;
    this.speed = Math.random() * 5 + 5;
    this.color = colors[Math.floor(Math.random() * colors.length)];

    this.draw = function() {
        ctx.beginPath();
        ctx.arc(this.x, this.y, this.r, 0, Math.PI * 2, false);
        ctx.fillStyle = this.color;
        ctx.fill();
    };

    this.update = function() {
        this.y -= this.vy;
        if (this.y < -this.r) {
            this.y = canvas.height + this.r;
        }
    };

    this.update = function(deltaTime) {
        // Update the angle based on the speed and elapsed time
        this.angle += this.speed * deltaTime;

        // Update the position based on the angle and elapsed time
        this.y -= this.speed * deltaTime * Math.cos(this.angle);
        this.x += this.speed * deltaTime * Math.sin(this.angle);

        // Update the scale based on the distance from the center of the canvas
        var distanceFromCenter = Math.sqrt(
            Math.pow(canvas.width / 2 - this.x, 2) +
            Math.pow(canvas.height / 2 - this.y, 2)
        );
        this.scale = Math.max(0, (1 - distanceFromCenter / canvas.width) * 2);
    };

}

function createBubbles() {
    for (var i = 0; i < 100; i++) {
        var x = Math.random() * canvas.width;
        var y = Math.random() * canvas.height;
        var r = Math.random() * 5 + 1; // this is the variable radius 10 + 5 will give larger bubbles/hexes

        bubbles.push(new Bubble(x, y, r));
    }
}


function drawBubbles() {
    for (var i = 0; i < bubbles.length; i++) {
        bubbles[i].draw();
    }
}

function updateBubbles() {
    for (var i = 0; i < bubbles.length; i++) {
        bubbles[i].update();
    }
}

createBubbles();

function loop() {
    ctx.clearRect(0, 0, canvas.width, canvas.height);
    drawBubbles();
    updateBubbles();
    requestAnimationFrame(loop);
}

loop();

window.addEventListener("scroll", function() {
    var scrollTop = window.pageYOffset || document.documentElement.scrollTop;
    canvas.style.transform = "translateY(" + scrollTop / 3 + "px)";
});


function hexToRgb(hex) {
    var r = parseInt(hex.substring(1, 3), 16);
    var g = parseInt(hex.substring(3, 5), 16);
    var b = parseInt(hex.substring(5, 7), 16);
    return r + ", " + g + ", " + b;
}